> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Create a note on an incident

`POST https://api.pagerduty.com/incidents/{id}/notes`

Create a new note for the specified incident.

An incident represents a problem or an issue that needs to be addressed and resolved.

A maximum of 2000 notes can be added to an incident.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#incidents)

Scoped OAuth requires: `incidents.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |
| `From` | string (email) | yes | The email address of a valid user associated with the account making the request. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `note` | object | yes |  |
| `note.content` | string | yes | The note content. |

Example: Request Example

```json
{
  "note": {
    "content": "Firefighters are on the scene."
  }
}
```

## Response 200

The new note.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `note` | object | yes |  |
| `note.id` | string |  | Read-only. |
| `note.user` | object |  |  |
| `note.user.id` | string | yes | Read-only. |
| `note.user.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `note.user.type` | string | yes | One of: `user_reference`, `bot_user_reference`. |
| `note.user.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `note.user.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `note.channel` | object |  | The means by which this Note was created. Has different formats depending on type. Read-only. |
| `note.channel.summary` | string | yes | A string describing the source of the Note. Read-only. |
| `note.channel.id` | string |  | Read-only. |
| `note.channel.type` | string |  | A string that determines the schema of the object. Read-only. |
| `note.channel.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `note.channel.html_url` | string (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `note.content` | string | yes | The note content. |
| `note.created_at` | string (date-time) |  | The time at which the note was submitted. Read-only. |
| `note.updated_at` | string (date-time) |  | The time at which the note was last updated. Read-only. |

Example: Response Example

```json
{
  "note": {
    "id": "PWL7QXS",
    "user": {
      "id": "PXPGF42",
      "type": "user_reference",
      "summary": "Earline Greenholt",
      "self": "https://api.pagerduty.com/users/PXPGF42",
      "html_url": "https://subdomain.pagerduty.com/users/PXPGF42"
    },
    "channel": {
      "summary": "The PagerDuty website or APIs"
    },
    "content": "Firefighters are on the scene.",
    "created_at": "2013-03-06T15:28:51-05:00",
    "updated_at": "2023-10-01T12:00:00-05:00"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
